<?php


namespace app\cbcrm\controller\admin;


use app\cbcrm\controller\BaseAdmin;
use Ramsey\Uuid\Uuid;
use think\facade\Db;

class Index extends BaseAdmin
{
    public function index()
    {
        return view();
    }

    public function login()
    {
        $username = $this->request->param('username');
        $password = $this->request->param('password');
        if(!$username) return error('缺少参数username');
        if(!$password) return error('缺少参数password');
        $where = [
            ['un', '=', $username],
            ['telephone', '=', $username]
        ];
        $userAgency = Db::table('kt_base_agent')->whereOr($where)->find();
        if(!$userAgency) return error('账户不存在');
        if($userAgency['pwd'] != md5($password) && $userAgency['pwd'] != ktEncrypt($password)) return error('帐号或密码错误');
        if($userAgency['isstop'] != 1 ) return error('账户已经被停用或作废');
        $token = $userAgency['agency_token'] && $userAgency['expire_time'] > time() ? $userAgency['agency_token'] : Uuid::uuid1();
        Db::table('kt_base_agent')->where('id',$userAgency['id'])->update(['agency_token'=>"{$token}",'expire_time'=> time() + (7*24*3600),'lasttime'=>date("Y-m-d H:i:s") ]);
        Db::table('kt_base_loginlog')->insert([
            'admin' => 1,
            'wid' => $userAgency['id'],
            'uip' => $this->request->ip(),
            'create_time' => date("Y-m-d H:i:s")
        ]);
        return $this->success('登录成功',['token'=>$token]);
    }

    public function getUserInfo()
    {
        $this->success('返回成功',$this->admin);
    }
}
