<?php


namespace app\cbcrm\controller\admin\member;


use app\cbcrm\controller\BaseAdmin;
use app\cbcrm\model\member\MemberModel;
use think\Request;

class Member extends  BaseAdmin
{
    protected $model = null;

    public function __construct(Request $request)
    {
        parent::__construct($request);
        $this->model = new MemberModel();
    }

    public function index()
    {
        $params = [];
        $params['nickname'] = $this->request->get('nickname');
        $params['store_name'] = $this->request->get('store_name');
        $params['start_at'] = $this->request->get('start_at');
        $params['end_at'] = $this->request->get('end_at');
        $list = $this->model->getAdminMemberList($params);

        $this->success('返回成功',$list);
    }
}
